#!/bin/sh
# Install script for slip stuff from Rob Funk.
# revision 2.0  10-Sep-1996

backupext=rmfbak
dip=/usr/sbin/dip

# first of all, Red Hat forgot to make dip setuid root...
if [ ! -u $dip ]
then
  echo "Fixing dip to make it setuid."
  chmod u+s $dip
fi

install -g dip -m 755 slip slipoff /usr/local/bin
install -g dip -m 644 template.dip slip.conf /usr/local/etc

if [ -e /etc/sendmail.cf ]
then
  echo "Moving existing sendmail.cf to sendmail.cf.$backupext"
  mv /etc/sendmail.cf /etc/sendmail.cf.$backupext
fi
install -m 644 sendmail.cf /etc

if [ -e /etc/resolv.conf ]
then
  echo "Moving existing resolv.conf to resolv.conf.$backupext"
  mv /etc/resolv.conf /etc/resolv.conf.$backupext
fi
install -m 644 resolv.conf /etc

if [ ! -e /etc/hosts.deny ]
then
  install -m 644 hosts.deny /etc
else
  echo "Not installing secure hosts.deny in /etc, make sure yours is secure"
fi
if [ ! -e /etc/hosts.allow ]
then
  install -m 644 hosts.allow /etc
else
  echo "Not installing secure hosts.allow in /etc, make sure yours is secure"
fi

# make sure /etc/HOSTNAME exists
if [ ! -e /etc/HOSTNAME ]
then
  uname -n > /etc/HOSTNAME
  chmod 644 /etc/HOSTNAME
fi
# Host name should not include domain
defaultdomain=homenet.ohio-state.edu
host=`cat /etc/HOSTNAME | sed -e 's/\..*$//'`
domain=`cat /etc/HOSTNAME | sed -e 's/^[^.]*//' -e 's/^\.//'`
echo $host > /etc/hostname
test $domain || domain=$defaultdomain
echo "domain $domain" >> /etc/resolv.conf

install -m 644 hosts.bak /etc
# make sure /etc/hosts exists
if [ -e /etc/hosts ]
then
  : # nothing to do here right now if it's there
  echo "Moving existing hosts file to hosts.$backupext"
  mv /etc/hosts /etc/hosts.$backupext
fi
install -m 664 -g dip /etc/hosts.bak /etc/hosts
# just so we sorta know who we are before the first connection
echo "192.0.2.1   `cat /etc/HOSTNAME` `hostname`" >> /etc/hosts

echo ""
echo "Done with install."
echo "Be sure to put a .sliprc in your home directory,"
echo "using sample.sliprc as a guide."
